# **********************************************************************
# Copyright 2019 VMware, Inc.  All rights reserved. VMware Confidential.
# **********************************************************************
import json

from cli.commands.cli_command_provider import CliCommandProvider
from cli.commands.lcp_common.opsagent.client import get_opsagent_cli_output
from cli.commands.lcp_common.opsagent.client import load_response_output

class GetCtxtengProtocolMask(CliCommandProvider):
    def __call__(self, cmd_list):
        response = get_opsagent_cli_output("get/protocolMask")
        if response is None:
            return "MSG_CTXTENG_PROTOCOL_MASK_FAILED"

        return "OK\n\n%s" % json.dumps(response)


class SetCtxtengProtocolMask(CliCommandProvider):
    def __call__(self, cmd_list):
        protocol = cmd_list[4]
        enable = cmd_list[5]

        response = get_opsagent_cli_output("set/protocolMask", [protocol, enable])
        if response is None:
            return "MSG_CTXTENG_PROTOCOL_MASK_FAILED"

        return "OK\n\n%s" % json.dumps(response)


class GetIdfwStatus(CliCommandProvider):
    def __call__(self, cmd_list):
        response = get_opsagent_cli_output("get/idfwStatus")
        if response is None:
            return "MSG_CTXTENG_REQUEST_IDFW_STATUS_FAILED"

        jobj = json.loads(response)
        return "OK\n\n%s" % json.dumps(jobj)
