#! /bin/sh
# Script to restore mpaconfig.json
# If MPA config.json is found at /etc/vmware/nsx-mpa/ then the file contents are restored to default.

MPASERVICEFILE=/etc/init.d/nsx-mpa
MPACONFIGPATH=/etc/vmware/nsx-mpa/mpaconfig.json
MPACONFIGDEFAULT=$(cat <<EOF
{
   "AccountName": "",
   "SharedSecret": "",
   "RmqClientType": "",
   "RmqBrokerCluster":
   [
      {
         "BrokerIpAddress": "",
         "BrokerPort": "",
         "BrokerVirtualHost": "",
         "BrokerSslCertThumbprint": "",
         "BrokerIsMaster": ""
      }
   ]
}
EOF
)

if [ -f $MPACONFIGPATH ]
   then
      truncate -s 0 $MPACONFIGPATH
      echo "$MPACONFIGDEFAULT" > $MPACONFIGPATH
      echo "$MPACONFIGPATH restored to default"
   else
      echo "Could not find MPA config file at $MPACONFIGPATH"
fi

if [ -f $MPASERVICEFILE ]
    then
        $MPASERVICEFILE restart
fi
